Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
quizscores.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Limit = $ini->variable( "eZQuizMain", "ScoreLimit" )
| $Language = $ini->variable( "eZQuizMain", "Language" )
| $ScoreCurrent = $ini->variable( "eZQuizMain", "ScoreCurrent" )
| $t
| $intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )
| $game = new eZQuizGame( $GameID )
| $score = new eZQuizScore()
| $scores = $score->getAllByGame( $game, $Offset, $Limit )
| $count = count( $scores )
| $scoreCount = $score->countAllByGame( $game )
| $last = 0
| $lastColor = "bgdark"
| $position = $Offset + 1
| $locale = new eZLocale( $Language )
if( $game->isClosed()) | else
| $GenerateStaticPage = false

## Variable Documentation

## ◆ $count

$count = count( $scores )

Definition at line 80 of file quizscores.php.

## ◆ $game

$game = new eZQuizGame( $GameID )

Definition at line 71 of file quizscores.php.

## ◆ $GenerateStaticPage

$GenerateStaticPage = false

Definition at line 95 of file quizscores.php.

Referenced by createQuizMenu().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 40 of file quizscores.php.

## ◆ $intl

$intl = new eZINI( "kernel/ezquiz/user/intl/". $Language . "/quiz.php.ini" )

Definition at line 49 of file quizscores.php.

## ◆ $Language

$Language = $ini->variable( "eZQuizMain", "Language" )

Definition at line 43 of file quizscores.php.

## ◆ $last

$last = 0

Definition at line 83 of file quizscores.php.

## ◆ $lastColor

$lastColor = "bgdark"

Definition at line 84 of file quizscores.php.

## ◆ $Limit

$Limit = $ini->variable( "eZQuizMain", "ScoreLimit" )

Definition at line 42 of file quizscores.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 86 of file quizscores.php.

## ◆ $position

$position = $Offset + 1

Definition at line 85 of file quizscores.php.

Referenced by eZHTTPTool\assignValues(), eZCodeMapper\error(), and eZCodeMapper\warning().

## ◆ $score

$score = new eZQuizScore()

Definition at line 77 of file quizscores.php.

## ◆ $scoreCount

$scoreCount = $score->countAllByGame( $game )

Definition at line 81 of file quizscores.php.

## ◆ $ScoreCurrent

$ScoreCurrent = $ini->variable( "eZQuizMain", "ScoreCurrent" )

Definition at line 44 of file quizscores.php.

## ◆ $scores

$scores = $score->getAllByGame( $game, $Offset, $Limit )

Definition at line 78 of file quizscores.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezquiz/user/" . $ini->variable( "eZQuizMain", "TemplateDir" ),
"kernel/ezquiz/user/intl/", $Language, "quiz.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: quizscores.php:43
$ini
$ini
Definition: quizscores.php:40

Definition at line 46 of file quizscores.php.

## ◆ else

if ($game->isFutureGame()) elseif ($ScoreCurrent=="disabled") else

Initial value:
{
$printScores = false
$printScores
$printScores
Definition: quizmyscores.php:70

Definition at line 92 of file quizscores.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.